# $Id$
# Authority: lsn
# Upstream:

%define myname          LandShark BuildSys
%define myemail         <BuildSys[AT]LandShark.Net>
%define distro          CentOS 4

Name            : xvnkb
Version         : 0.2.9
Release         : 3.el4.lsn

License         : GPL
Summary         : Vietnamese keyboard input for X-Window.
Group           : System/Internationalization

URL             : http://xvnkb.sourceforge.net/
Vendor          : LandShark Networks
Distribution    : %distro
Packager        : %{myname} %{myemail}

BuildRoot       : %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source          : http://xvnkb.sourceforge.net/%{name}-%{version}.tar.gz

BuildRequires   : xorg-x11-devel xorg-x11-libs
Requires        : xorg-x11 xorg-x11-libs


Buildarch       : i386

%description
xvnkb is a Vietnamese keyboard input for X-Window. It provides an 
useful way for editing Vietnamese on X-Window environment with 
popular input methods and charsets. 

xvnkb 0.2.x support UTF-8 Encoding ;). Good news, eh?

%prep

%define myprefix /usr/local

%setup

%build
export CFLAGS="$RPM_OPT_FLAGS"
./configure --use-extstrocke --use-prostroke --use-abcstroke

#./configure --use-abcstroke

#./configure --use-extstrocke --use-prostroke --use-abcstroke


make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{myprefix}/{bin,lib,share}
mkdir -p $RPM_BUILD_ROOT%{myprefix}/share/%{name}

install -m 755 %{name} $RPM_BUILD_ROOT%{myprefix}/bin
install -m 755 %{name}.so.%{version} $RPM_BUILD_ROOT%{myprefix}/lib
install -m 755 tools/xvnkb_ctrl $RPM_BUILD_ROOT%{myprefix}/bin
install -m 755 scripts/* $RPM_BUILD_ROOT%{myprefix}/share/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
VERSION="%{version}"
OL=`echo $LD_PRELOAD | grep xvnkb.so`
LD="/etc/ld.so.preload"
SO="/lib/xvnkb.so"
XVNKB_CORE="$SO.$VERSION"
unset LD_PRELOAD N
while [ -f $XVNKB_CORE ]; do
	if [ "$N" = "" ]; then
		N=1
	else
		N=$((N + 1))
	fi
	XVNKB_CORE="$SO.$VERSION-$N"
done
cp %{myprefix}/lib/xvnkb.so.$VERSION $XVNKB_CORE
chattr +i $XVNKB_CORE
if [ -f "$LD" ]; then
	grep -v xvnkb.so $LD > $LD.xvnkb
	/bin/mv -f $LD.xvnkb $LD
fi
echo "$XVNKB_CORE" >> $LD

if [ "$LANG" = "C" ]; then
	LANG="en_US"
fi

if [ "`echo $LANG | grep UTF-8`" = "" ]; then
	echo "If you want to input Vietnamese Unicode, please run"
	echo
	echo "  # $PREFIX/bin/xvnkb_localeconf.sh $LANG.UTF-8"
	echo
	echo "and set your LANG to $LANG.UTF-8."
	echo "See xvnkb documents at %{myprefix}/share/doc/xvnkb for more information."
fi

if [ "$OL" != "" ]; then
	echo -e "\\033[1;31m"
	echo "* NOTICE:"
	echo "You are using LD_PRELOAD to load xvnkb core. If you set it somewhere else"
	echo "(e.g. /etc/profile, /etc/bashrc, ~/.bash_profile, ~/.bashrc, ~/.xinitrc)"
	echo "by yourself, please remove it also!"
	echo -e "\\033[0;39m"
fi

echo "You can use xvnkb now!  If you are using X, please restart your Window Manager."
echo "It will load xvnkb core control automatically for you and affect to all"
echo "applications.  Right now, xvnkb core control can affect to new starting"
echo "applications only.  Run \"xvnkb\" to control status."

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog README* INSTALL* TODO THANKS COPYING 
%doc contrib/profile scripts/*.sh doc/* 
%{myprefix}/*/*

%changelog
* Sat Jan 14 2006 LandShark BuildSys <BuildSys[AT]LandShark.Net>
- Initial CentOS 4 build.
